PARSL-PERF(1)

NAME
parsl-perf - performance measurements of parsl configuration

DESCRIPTION
usage: parsl-perf [-h] --config CONFIG [--resources EXPR] [--time SECONDS]

    [--argsize BYTES] [--version] [--iterate MODE]

Measure performance of Parsl configurations

  options:

-h, --help
    show this help message and exit

--config CONFIG
    path to Python file that defines a configuration

--resources EXPR
    parsl_resource_specification dictionary

--time SECONDS
    target number of seconds for an iteration

--argsize BYTES
    extra bytes to add into app invocation arguments

--version
    show program's version number and exit

--iterate MODE
    Iteration mode: estimate, exponential, or sequence of explicit sizes

Example usage: python -m parsl.benchmark.perf --config parsl/tests/configs/workqueue_blocks.py --resources '{"cores":1, "memory":0, "disk":0}'